function scaleFactor = modifyVelocity(v, r, radi, dt)

if dot(v,r) > 0
    scaleFactor = 1;
    %scaleMatrix = eye(2);
    return
end

rmag = norm(r);

vLimit = (radi-rmag)/(2*dt);
vNewMag = norm(v);
scaleFactor = max(min(1, vLimit/vNewMag),0);
