function G = generateGraph(x, rad)
% Generates the connectivity graph from coordinates of robots
% x(i,:) = [xi yi] = coordinates of the i-th robot

% Initiatiating Graph
G.NodesN = size(x,1);
G.A = zeros(G.NodesN, G.NodesN);

% Creating graph
for a=1:G.NodesN,
    for b=1:G.NodesN,
        dist = sqrt((x(a,1)-x(b,1))^2 + (x(a,2)-x(b,2))^2);
        if dist < rad && a~=b
            G.A(a,b) = 1;
        end
        %%G.W(a,b) = dist;
    end
end
