function scaleMatrix = modifyVelocity_1(v, r, radi)

if dot(v,r) > 0
    %scaleFactor = 1;
    scaleMatrix = eye(2);
    return
end

rmag = norm(r);
rc = r/rmag;

if rmag<=radi
    %decay = 0.5 * (1 + cos(pi*rmag/radi));
    decay = cos(pi*rmag/(2*radi));
else
    decay = 0;
end
    
parallelMat = [rc(1)*rc(1) rc(1)*rc(2); rc(1)*rc(2) rc(2)*rc(2)];
perpMat = eye(2) - parallelMat;

parallelMat = parallelMat * decay;

%%vParallel = parallelMat * v;
%%vPerp = perpMat * v;
%%vNew = vPerp + vParallel;

scaleMatrix = parallelMat + perpMat;
